Bug 771639 - [60862f5916dff99c91dd6d6319c958d02cb535d8]: when quota is disabled, all quota related commands should fail.
[60862f5916dff99c91dd6d6319c958d02cb535d8]: when quota is disabled, all quota...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.3-beta
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-04 07:41 EST by Rahul C S
Modified: 2013-07-24 13:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 1f3a0dd4742a2fcd3215aee4a5e22125d7ea4f4d
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-01-04 07:41:30 EST
Description of problem:
when quota is disabled, all quota related commands should fail or should show that quota is disabled.

root@Dagobah:~/newmount# gluster volume info vol
 
Volume Name: vol
Type: Distributed-Replicate
Status: Started
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: dagobah:/data/export1
Brick2: dagobah:/data/export2
Brick3: dagobah:/data/export3
Brick4: dagobah:/data/export4
Brick5: dagobah:/data/export5
Brick6: dagobah:/data/export6
Options Reconfigured:
performance.stat-prefetch: on
performance.flush-behind: on
performance.io-thread-count: 32
geo-replication.indexing: on
features.quota: off
cluster.self-heal-daemon: on
root@Dagobah:~/newmount# gluster volume quota vol limit-usage / 10GB
limit set on /
root@Dagobah:~/newmount# gluster volume quota vol list
root@Dagobah:~/newmount# echo $?
0

What I am unsure about is that whether limit-usage should be set or not if quota is disabled.
root@Dagobah:~/newmount# gluster volume info vol
 
Volume Name: vol
Type: Distributed-Replicate
Status: Started
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: dagobah:/data/export1
Brick2: dagobah:/data/export2
Brick3: dagobah:/data/export3
Brick4: dagobah:/data/export4
Brick5: dagobah:/data/export5
Brick6: dagobah:/data/export6
Options Reconfigured:
features.limit-usage: /:10GB
performance.stat-prefetch: on
performance.flush-behind: on
performance.io-thread-count: 32
geo-replication.indexing: on
features.quota: off
cluster.self-heal-daemon: on

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-02-06 00:42:13 EST
CHANGE: http://review.gluster.com/2609 (glusterd/quota: inform the user if some quota command is executed without enabling it) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Rahul C S 2012-04-05 02:36:12 EDT
When quota is disabled, gives proper output when issued quota related commands.

gluster volume quota vol limit-usage / 10GB
Quota is disabled, please enable quota

Note You need to log in before you can comment on or make changes to this bug.